org.apache.catalina.ha

## Class ClusterMessageBase

- java.lang.Object
- - org.apache.catalina.ha.ClusterMessageBase

All Implemented Interfaces:
  Serializable, ClusterMessage

Direct Known Subclasses:
  FileMessage, SessionIDMessage, SessionMessageImpl

    public class ClusterMessageBase
    extends Object
    implements ClusterMessage

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable
See Also:
  Serialized Form

### Field Summary

Fields
`protected Member` `address`

### Constructor Summary

Constructors
Constructor and Description
`ClusterMessageBase()`

### Method Summary

Methods
`Member` `getAddress()` getAddress
`long` `getTimestamp()`
`String` `getUniqueId()`
`void` `setAddress(Member member)` setAddress
`void` `setTimestamp(long timestamp)`
`void` `setUniqueId(String uniqueId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### address

    protected transient Member address

### Constructor Detail

#### ClusterMessageBase

    public ClusterMessageBase()

### Method Detail

#### getAddress

    public Member getAddress()

getAddress

Specified by:
  `getAddress` in interface `ClusterMessage`
Returns:
  Member TODO Implement this org.apache.catalina.ha.ClusterMessage method

#### getUniqueId

    public String getUniqueId()

Specified by:
  `getUniqueId` in interface `ClusterMessage`

#### getTimestamp

    public long getTimestamp()

Specified by:
  `getTimestamp` in interface `ClusterMessage`

#### setAddress

    public void setAddress(Member member)

setAddress

Specified by:
  `setAddress` in interface `ClusterMessage`
Parameters:
  `member` - Member TODO Implement this org.apache.catalina.ha.ClusterMessage method

#### setUniqueId

    public void setUniqueId(String uniqueId)

Specified by:
  `setUniqueId` in interface `ClusterMessage`

#### setTimestamp

    public void setTimestamp(long timestamp)

Specified by:
  `setTimestamp` in interface `ClusterMessage`